Register conversion
curl --request POST \
--url https://api.notifique.dev/v1/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"msg_id": "msg_abc123",
"order_id": "ORD-98765",
"value": 149.9,
"currency": "BRL"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({msg_id: 'msg_abc123', order_id: 'ORD-98765', value: 149.9, currency: 'BRL'})
};
fetch('https://api.notifique.dev/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/conversions"
payload = {
"msg_id": "msg_abc123",
"order_id": "ORD-98765",
"value": 149.9,
"currency": "BRL"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/conversions"
payload := strings.NewReader("{\n \"msg_id\": \"msg_abc123\",\n \"order_id\": \"ORD-98765\",\n \"value\": 149.9,\n \"currency\": \"BRL\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}Conversions
Register conversion
Register a conversion linked to a short link.
POST
/
v1
/
conversions
Register conversion
curl --request POST \
--url https://api.notifique.dev/v1/conversions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"msg_id": "msg_abc123",
"order_id": "ORD-98765",
"value": 149.9,
"currency": "BRL"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({msg_id: 'msg_abc123', order_id: 'ORD-98765', value: 149.9, currency: 'BRL'})
};
fetch('https://api.notifique.dev/v1/conversions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.notifique.dev/v1/conversions"
payload = {
"msg_id": "msg_abc123",
"order_id": "ORD-98765",
"value": 149.9,
"currency": "BRL"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.notifique.dev/v1/conversions"
payload := strings.NewReader("{\n \"msg_id\": \"msg_abc123\",\n \"order_id\": \"ORD-98765\",\n \"value\": 149.9,\n \"currency\": \"BRL\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"success": true
}Authorizations
ntfConversionsBearerAuthntfConversionsApiKeyHeader
API Key in Authorization header. Example: Authorization: Bearer sk_live_xxxxx
Body
application/json
Notifique message ID tied to the click (Smart Link).
Maximum string length:
128Unique order ID in your system.
Maximum string length:
256Amount in currency units (e.g. 149.90).
Amount in cents (alternative to value).
Response
Conversion already existed (idempotent).
Resposta JSON vazia (sucesso sem payload).
Example:
true
Was this page helpful?

